{% load static %}
<html>
  <head>
    <title>Notifier</title>
  </head>
  <body>
    <h1>Notifier</h1>
    <p>Notifications</p>
    <ul id="notifylist"></ul>
    <script>
    document.addEventListener('DOMContentLoaded', function() {
      var webSocketBridge = new WebSocket('ws://localhost:8000/notifications/');
      const nl = document.querySelector("#notifylist");
      webSocketBridge.onmessage=function(event){
        
          var el = document.createElement("li");
          el.innerHTML = `New user <b>${event.data}</b> has joined!`;
          nl.appendChild(el);
          console.log(event.data) 
          console.log(typeof(event.data)) 
      }
    })
    </script>
  </body>
</html>